Bug 801434 - Calendar selection tool doesn't have at-spi accessibility name
Calendar selection tool doesn't have at-spi accessibility name
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Alex Wood
J.C. Molet
Depends On:
Blocks: 771481
  Show dependency treegraph
Reported: 2012-03-08 09:25 EST by J.C. Molet
Modified: 2013-04-29 10:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-21 03:54:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
date selection (1.93 MB, image/png)
2012-04-18 13:58 EDT, J.C. Molet
no flags Details
re-verified (324.96 KB, image/png)
2012-11-27 15:44 EST, J.C. Molet
no flags Details

  None (edit)
Description J.C. Molet 2012-03-08 09:25:54 EST
Description of problem:
In the "All Available Subscriptons" tab, the date selector tool button does not have an at-spi accessibilty name.  The api reads it as a generic "OK" button.  This is confusing for people who actually need this api to use the program.

Additionally the window itself is not named and shows up as another numbered frame (which could be anything depending on what else you have open).

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
You can look at this easily by installing dogtail and using the sniff program.  I have not opened this bug until now because the actual date selector is unusable through the api, but it is now the only way to get today's date to auto-fill in the search box (due to changes to fix bug 704408).
Comment 2 Alex Wood 2012-03-13 13:28:44 EDT
Committed 7cda7cd65f0216eda5c76d2fd7b9982dee3468bd


This commit does not address the issue of the calendar window itself not being named.  Per discussion with jmolet, he will see if the unnamed calendar window still presents an issue after the changes made in this commit are taken into account.
Comment 4 J.C. Molet 2012-04-11 13:19:36 EDT
Although everything inside the window has a name, the calendar window does not, and unfortunately I cannot access a window or its contents without a name reliably.

I have figured out how to name this window though:

In widgets.py, in the class DatePicker, in the function _button_clicked(),

You can name the window by changing the line:


to something like:

        self._calendar_window.set_title("Date Selection")

Of course this runs into the other issue of having "Date Selection" being a translatable string (I have no idea how that bit works, or if anything needs to be done at all), but essentially the AT-SPI name of the window will match any string you enter in that set_title() function.

Moving this back to NEW so that can be done.
Comment 5 Alex Wood 2012-04-16 13:06:33 EDT
commit 2bd8b287c739c3fe560020a96e9437808143ac3d
Author: Alex Wood <awood@redhat.com>
Date:   Fri Apr 6 00:11:17 2012 -0400

    801434: Add at-spi accessibility name to calendar widget.
Comment 7 J.C. Molet 2012-04-18 13:58:04 EDT
Created attachment 578427 [details]
date selection

This is now accessable via at-spi.  Marking Verified as of version:

Comment 8 John Sefler 2012-05-24 11:56:25 EDT
Comment 7 was verified against the subscription-manager master branch.  Comment 5 commit needs to be cherry picked into the RHEL6.3 branch and then jmolet can re-verify against subscription-manager-gnome-0.99

Based on the tight schedule for RHEL6.3 and the severity of this bug, it may be best to simply remove this bug from advisory RHBA-2012:12609-01

Moving back to ASSIGNED
Comment 13 Adrian Likins 2012-10-09 14:10:08 EDT
The fixes for this are in the branches the 5.9 and 6.4 rebases will use, so closing this.
Comment 16 J.C. Molet 2012-11-27 15:44:41 EST
Created attachment 653107 [details]

Re-VERIFIED against version subscription-manager-gui-1.1.10-1.el6.x86_64  (latest in brew currently)

Date window has a atspi name: "Date Selection".
Comment 18 errata-xmlrpc 2013-02-21 03:54:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.